# Generated from fastlane-plugin-unity_exporter-1.0.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name fastlane-plugin-unity_exporter

Name: rubygem-%{gem_name}
Version: 1.0.3
Release: 1%{?dist}
Summary: Plugin for 'fastlane' that defines an action to export iOS and Android projects via Unity3d. This allows Unity3d to more easily integrate with 'fastlane'
License: MIT
URL: https://github.com/ar-met/fastlane-plugin-unity-exporter
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.7
# BuildRequires: rubygem(fastlane) >= 2.187.0
# BuildRequires: rubygem(pry)
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(rspec_junit_formatter)
# BuildRequires: rubygem(rubocop) = 1.12.1
# BuildRequires: rubygem(rubocop-performance)
# BuildRequires: rubygem(rubocop-require_tools)
# BuildRequires: rubygem(simplecov)
BuildArch: noarch

%description
Plugin for 'fastlane' that defines an action to export iOS and Android
projects via Unity3d. This allows Unity3d to more easily integrate with
'fastlane'.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Mon Sep 13 2021 mockbuilder - 1.0.3-1
- Initial package
